import { FieldArrayRenderProps } from "formik";
import { ReactNode } from "react";
export type ArrayValue = string | number | readonly string[] | undefined;
type ArrayParams = {
    arrayHelpers: FieldArrayRenderProps;
};
export declare const ArrayContext: import("react").Context<ArrayParams | undefined>;
type ProviderProps = {
    children?: ReactNode;
    arrayHelpers: FieldArrayRenderProps;
};
declare const ArrayProvider: ({ children, arrayHelpers }: ProviderProps) => JSX.Element;
export declare const useArrayContext: () => ArrayParams;
export default ArrayProvider;
