import { ReactNode } from "react";
type FieldArrayProps = {
    name: string;
    children: ReactNode;
};
declare const FieldArray: {
    ({ name, children }: FieldArrayProps): JSX.Element;
    PushButton: ({ value, children, onClick, ...props }: {
        value: any;
    } & Omit<import("react").ButtonHTMLAttributes<HTMLButtonElement>, "type"> & {
        disabledStyle?: import("react").CSSProperties | undefined;
    }) => JSX.Element;
    SwapButton: ({ index1, index2, onClick, children, ...props }: {
        index1: number;
        index2: number;
    } & Omit<import("react").ButtonHTMLAttributes<HTMLButtonElement>, "type"> & {
        disabledStyle?: import("react").CSSProperties | undefined;
    }) => JSX.Element;
    MoveButton: ({ from, to, onClick, children, ...props }: {
        from: number;
        to: number;
    } & Omit<import("react").ButtonHTMLAttributes<HTMLButtonElement>, "type"> & {
        disabledStyle?: import("react").CSSProperties | undefined;
    }) => JSX.Element;
    InsertButton: ({ index, value, onClick, children, ...props }: {
        index: number;
        value: any;
    } & Omit<import("react").ButtonHTMLAttributes<HTMLButtonElement>, "type"> & {
        disabledStyle?: import("react").CSSProperties | undefined;
    }) => JSX.Element;
    UnShiftButton: ({ value, onClick, children, ...props }: {
        onClick?: ((event?: import("react").MouseEvent<HTMLButtonElement, MouseEvent> | undefined, value?: number | undefined) => void) | undefined;
        value: any;
    } & Omit<Omit<import("react").ButtonHTMLAttributes<HTMLButtonElement>, "type"> & {
        disabledStyle?: import("react").CSSProperties | undefined;
    }, "onClick">) => JSX.Element;
    RemoveButton: ({ index, onClick, children, ...props }: {
        index: number;
        onClick?: ((event?: import("react").MouseEvent<HTMLButtonElement, MouseEvent> | undefined, value?: any) => void) | undefined;
    } & Omit<Omit<import("react").ButtonHTMLAttributes<HTMLButtonElement>, "type"> & {
        disabledStyle?: import("react").CSSProperties | undefined;
    }, "onClick">) => JSX.Element;
    PopButton: ({ onClick, children, ...props }: Omit<Omit<import("react").ButtonHTMLAttributes<HTMLButtonElement>, "type"> & {
        disabledStyle?: import("react").CSSProperties | undefined;
    }, "onClick"> & {
        onClick?: ((event?: import("react").MouseEvent<HTMLButtonElement, MouseEvent> | undefined, value?: any) => void) | undefined;
    }) => JSX.Element;
    ReplaceButton: ({ index, onClick, children, ...props }: {
        index: number;
        onClick?: ((event?: import("react").MouseEvent<HTMLButtonElement, MouseEvent> | undefined, value?: any) => void) | undefined;
    } & Omit<Omit<import("react").ButtonHTMLAttributes<HTMLButtonElement>, "type"> & {
        disabledStyle?: import("react").CSSProperties | undefined;
    }, "onClick">) => JSX.Element;
    ErrorMessage: ({ style }: {
        style?: import("react").CSSProperties | undefined;
    }) => JSX.Element;
};
export default FieldArray;
